#---List of externals----------------------------------------------
set(LCG_PYTHON_VERSION 3)
include(heptools-dev-base)

#---Additional External packages------(Generators)-----------------
include(heptools-dev-generators)

LCG_external_package(ROOT v6-34-00-patches GIT=https://github.com/root-project/root.git)
#LCG_AA_project(ROOT  6.34.02)

LCG_external_package(Boost             1.88.0)

if(${LCG_TARGET} MATCHES "gcc14fp" )
  # packages only used for perf / adaptyst
  LCG_external_package(adaptyst HEAD GIT=https://github.com/andresailer/Adaptyst.git )
  LCG_external_package(libbpf            1.5.0                                    )
  LCG_external_package(libnuma           2.0.19                                   )
  LCG_external_package(libtraceevent     1.8.4                                    )
  LCG_external_package(perf              20250408                                 )
endif()

#if(${LCG_OS}${LCG_OSVERS} MATCHES centos|ubuntu|el)
#  if(((${LCG_COMP} MATCHES gcc) AND (${LCG_COMPVERS} GREATER 7)) OR (${LCG_COMP} MATCHES clang))
#    LCG_AA_project(Gaudi  v36r14.testtbb GIT=https://gitlab.cern.ch/dkonst/Gaudi.git)
#  endif()
#endif()

#---Apple MacOS special removals and overwrites--------------------
include(heptools-macos)

if(LCG_ARCH MATCHES "aarch64")
  include(heptools-devARM)
endif()

