sou\rce %BINUTILS_PATH%/setup.csh
sou\rce %GCC_PATH%/setup.csh

s\et BASE=%CLANG_PATH%

se\tenv PATH $BASE/bin/:$PATH
se\tenv PATH $BASE/wrappers/:$PATH
se\tenv MANPATH $BASE/share/man:$MANPATH

if ( -d "${BASE}/lib64" ) then
    set\env LD_LIBRARY_PATH "$BASE/lib64:${LD_LIBRARY_PATH}"
endif
if ( -d "${BASE}/lib" ) then
    # Add lib if exists
    set\env LD_LIBRARY_PATH "$BASE/lib:${LD_LIBRARY_PATH}"
endif

# Export package specific environmental variables

s\et gcc_home=%GCC_PATH% 

un\alias clang
un\alias "clang++"

se\tenv CC cl\ang
se\tenv CXX cl\ang++
se\tenv FC `/usr/bin/which gfortran`

se\tenv COMPILER_PATH ${gcc_home}

if ( ${?PYTHONPATH} ) then
    se\tenv PYTHONPATH "$BASE/lib/python/:${PYTHONPATH}"
else
    se\tenv PYTHONPATH "$BASE/lib/python/"
endif

se\tenv CLANG_LIBRARY_PATH $BASE/lib
