source %BINUTILS_PATH%/setup.csh

set BASE=%GCC_PATH%

setenv PATH $BASE/bin:$PATH

if (${?MANPATH}) then
    setenv MANPATH $BASE/share/man:$MANPATH
else
    setenv MANPATH $BASE/share/man
endif

if ( -d "${BASE}/lib64" ) then
    setenv LD_LIBRARY_PATH "$BASE/lib64:${LD_LIBRARY_PATH}"
endif
if ( -d "${BASE}/lib" ) then
    # Add lib if exists
    setenv LD_LIBRARY_PATH "$BASE/lib:${LD_LIBRARY_PATH}"
endif

# Export package specific environmental variables

set gcc_home=%GCC_PATH% 

setenv FC `command which gfortran`
setenv CC `command which gcc`
setenv CXX `command which g++`

setenv COMPILER_PATH ${gcc_home}

