cmake_minimum_required(VERSION 2.8.5)

# Declare the version of HEP Tools we use
# (must be done before including heptools-common to allow evolution of the
# structure)
set(heptools_version  contrib)

# please keep alphabetic order and the structure (tabbing).
# it makes it much easier to edit/read this file!

# Contribs
LCG_external_package(binutils          2.40                                         )
LCG_external_package(gcc               14.1.0                                       )
#LCG_external_package(clang            17.0.1                                       )
#
# Prepare the search paths according to the versions above
LCG_prepare_paths()
