set BASE=%BINUTILS_PATH%

setenv PATH $BASE/bin:$PATH

if (${?MANPATH}) then
    setenv MANPATH $BASE/share/man:$MANPATH
else
    setenv MANPATH $BASE/share/man
endif

if ( -d "${BASE}/lib64" ) then
    if (${?LD_LIBRARY_PATH}) then
        setenv LD_LIBRARY_PATH "$BASE/lib64:${LD_LIBRARY_PATH}"
    else
        setenv LD_LIBRARY_PATH "$BASE/lib64"
    endif
endif

if ( -d "${BASE}/lib" ) then
    if (${?LD_LIBRARY_PATH}) then
        setenv LD_LIBRARY_PATH "$BASE/lib:${LD_LIBRARY_PATH}"
    else
        setenv LD_LIBRARY_PATH "$BASE/lib"
    endif
endif




