
source %BINUTILS_PATH%/setup.sh

BASE=%GCC_PATH%

export PATH=$BASE/bin:$PATH
export MANPATH=$BASE/share/man:$MANPATH

if [ -e "${BASE}/lib64" ]; then
    export LD_LIBRARY_PATH="$BASE/lib64${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
fi
if [ -e "${BASE}/lib" ]; then
    # Add lib if exists
    export LD_LIBRARY_PATH="$BASE/lib${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
fi

# Export package specific environmental variables

gcc_home=%GCC_PATH% 

export FC=$(which gfortran)
export CC=$(which gcc)
export CXX=$(which g++)

export COMPILER_PATH=${gcc_home}


